package com.fjhx.stock.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.stock.StockBack;
import com.fjhx.entity.stock.StockBackDetails;
import com.fjhx.params.stock.CheckDetailsVo;
import com.fjhx.params.stock.StatisticsResult;
import com.fjhx.params.stock.StockBackVo;
import com.fjhx.params.stock.SubmitBackVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 退仓面料 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-31
 */
public interface StockBackService extends BaseService<StockBack> {

    Page<StockBack> getPage(Map<String, String> condition);

    void add(StockBackVo stockBackVo);

    void edit(StockBackVo stockBackVo);

    void delete(Long stockBackId);

    List<Map<String, Object>> getPickingToday(Map<String, String> condition);

    List<Map<String, Object>> getPickingTodayByUserId(Map<String, String> condition);

    void submitBack(SubmitBackVo submitBackVo);

    List<Map<String, Object>> checkList();

    CheckDetailsVo checkDetails(Long stockBackId);

    List<StockBackDetails> submitCheckDetails(CheckDetailsVo checkDetailsVo);

    Map<String, List<Map<String, Object>>> userStatistics(Map<String, String> condition);

    Map<String, Object> techStatistics(Map<String, String> condition);

    StatisticsResult statisticsDetails(Map<String, String> condition);

    Page<StatisticsResult> statisticsPage(Map<String, String> condition);

    Map<String, List<Map<String, Object>>> getUser(Map<String, String> condition);

    Map<String, Object> getBackStatistics(Map<String, String> condition);

    Page<Map<String, Object>> getBackPage(Map<String, String> condition);



}
